/**
 * 
 * 
 * 
 */

Ext.define('FP.controller.FrontPanelControlExt', {
    requires: 'FP.view.FrontPanel',
    extend: 'FP.controller.FrontPanelControl',
    refs: [
        {
            ref: 'frontPanel',
            selector: 'frontpanel'
        }
    ],
    init: function() {
//        "use strict"; can't strict mode and use arguments
        this.control({
            'frontpanel': {
                keypressed: function(btn) {
                    if(btn === 'key_take'){
                        this.getFrontPanel().keysByName.key_take.lightFlash();
                    }
                    this.onViewKeyPressed(btn);
                },
                scope: this
            }
        });
        this.callParent(arguments);
    },
    controllerSetDisplayData: function(converted) {
        "use strict";
        var frontPanel = this.getFrontPanel();
        if(frontPanel) {
            this.getFrontPanel().setVFDText(converted);
        }
    },
    controllerSetLedData: function(converted) {
        "use strict";
        var frontPanel = this.getFrontPanel();
        if(frontPanel) {
            frontPanel.keysByName.key_take.lightOff();
            frontPanel.setLedState(converted);
        }
    }
});

