Ext.ns('barco.plugins');

barco.plugins.WheelPlugin = Ext.extend(Object, {
    constructor: function(config) {
        "use strict";
        Ext.apply(this, config);
        
    },
    init: function(parent) {
        "use strict";
        //if(Ext.is.Tablet || Ext.is.Phone) {
        var labelSet;
        this.parent = parent;
        parent.on({
            show: function() {
                if(barco.plugins.WheelPlugin.registeredParents.contains(parent)) {
                    return;
                }
                labelSet = Ext.DomQuery.select('.needwheel .x-form-label', parent.el.dom);
                Ext.get(labelSet).on({
                    click: function(evt, el) {
                        if( (el.getAttribute('class') === null) || (el.getAttribute('class') !== 'x-form-label')) {
                            el = el.parentElement;
                        }
                        barco.evtManager.fireEvent('wheelTargetChange', el);
                    }
                });
                labelSet.forEach(function(label) {
                    Ext.DomHelper.append(label, '<img src="/images/wheel-small.png"/>');
                });
                barco.plugins.WheelPlugin.registeredParents.unshift(parent);
            },
            scope: this
        });
        //}
    }
});
barco.plugins.WheelPlugin.registeredParents = [];

Ext.preg('wheelplugin', barco.plugins.WheelPlugin);
